Update a note
curl --request PUT \
--url https://api.habitify.me/v2/habits/{habitId}/notes/{noteId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"content": "Updated note about my progress",
"moodLevel": "high",
"photos": [
"https://example.com/photo1.jpg"
]
}
'import requests
url = "https://api.habitify.me/v2/habits/{habitId}/notes/{noteId}"
payload = {
"content": "Updated note about my progress",
"moodLevel": "high",
"photos": ["https://example.com/photo1.jpg"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'Updated note about my progress',
moodLevel: 'high',
photos: ['https://example.com/photo1.jpg']
})
};
fetch('https://api.habitify.me/v2/habits/{habitId}/notes/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"content": "<string>",
"moodLevel": "veryLow",
"photos": [
"<string>"
]
}Habit Notes
Update a note
Update an existing note for a habit. At least one field must be provided. Only the fields included in the request body are updated.
PUT
/
habits
/
{habitId}
/
notes
/
{noteId}
Update a note
Authorizations
ApiKeyTokenAuthAccessTokenAuthIdTokenAuth
API key generated from our app (Settings > API). Only one key can be active at a time.
Path Parameters
The unique identifier of the habit
The unique identifier of the note to update
Body
application/json
Response
Note updated successfully
A note attached to a habit, optionally including text content, a mood level, and photos.
Unique identifier of the note
Timestamp when the note was created
Text content of the note
Mood level associated with the note
Available options:
veryLow, low, neutral, high, veryHigh List of photo URLs attached to the note

